commit:     55bf3952c6adad33233974a66c22734f948db5a4
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 13 16:51:09 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Aug 13 16:51:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55bf3952

dev-util/boost-build: add 1.77.0

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-util/boost-build/Manifest                      |  1 +
 dev-util/boost-build/boost-build-1.77.0.ebuild     | 73 ++++++++++++++++++++++
 ...oost-build-1.77.0-darwin-gentoo-toolchain.patch | 26 ++++++++
 3 files changed, 100 insertions(+)

diff --git a/dev-util/boost-build/Manifest b/dev-util/boost-build/Manifest
index 7dfc65e764d..20cf00e4292 100644
--- a/dev-util/boost-build/Manifest
+++ b/dev-util/boost-build/Manifest
@@ -1 +1,2 @@
 DIST boost_1_76_0.tar.bz2 110073117 BLAKE2B 
45445e6a9725cb99131e0b831b2fac0840d083692c13887b41adeac5cb8b3732026db3641d6be20591a676b78a87fcf363eb9b1508f87ed26039bba6a1ced533
 SHA512 
5d68bed98c57e03b4cb2420d9b856e5f0669561a6142a4b0c9c8a58dc5b6b28e16ccbb16ac559c3a3198c45769a246bf996b96cb7b6a019dd15f05c2270e9429
+DIST boost_1_77_0.tar.bz2 110361537 BLAKE2B 
106aeb09ec7705b595f2ca966a76c53c649eac6fac50d88c156862e0991c33c89a2f3a09edcbcb453fa44bf71cdde030b35d0a0889ad97b65f3a868cb877a532
 SHA512 
39b45c9b60bc5a2a4c669a4463d1272c1e093376b2fb374d7f20a84ea10a3e23bb04b335a735a83a04575731f874d9bff77e89acd947524b3fbbae1b26ae1f2f

diff --git a/dev-util/boost-build/boost-build-1.77.0.ebuild 
b/dev-util/boost-build/boost-build-1.77.0.ebuild
new file mode 100644
index 00000000000..234c67c0f3f
--- /dev/null
+++ b/dev-util/boost-build/boost-build-1.77.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+MY_PV="$(ver_rs 1- _)"
+
+DESCRIPTION="A system for large project software construction, simple to use 
and powerful"
+HOMEPAGE="https://boostorg.github.io/build/";
+SRC_URI="https://boostorg.jfrog.io/artifactory/main/release/${PV}/source/boost_${MY_PV}.tar.bz2";
+S="${WORKDIR}/boost_${MY_PV}/tools/build/src"
+
+LICENSE="Boost-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples"
+RESTRICT="test"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.71.0-disable_python_rpath.patch
+       "${FILESDIR}"/${PN}-1.77.0-darwin-gentoo-toolchain.patch
+       "${FILESDIR}"/${PN}-1.73.0-add-none-feature-options.patch
+       "${FILESDIR}"/${PN}-1.76.0-respect-user-flags.patch
+       "${FILESDIR}"/${PN}-1.74.0-no-implicit-march-flags.patch
+)
+
+src_unpack() {
+       tar xojf "${DISTDIR}/${A}" boost_${MY_PV}/tools/build || die "unpacking 
tar failed"
+}
+
+src_prepare() {
+       default
+
+       pushd .. >/dev/null || die
+       eapply "${FILESDIR}"/${PN}-1.71.0-fix-test.patch
+       popd >/dev/null || die
+}
+
+src_configure() {
+       # need to enable LFS explicitly for 64-bit offsets on 32-bit hosts 
(#761100)
+       append-lfs-flags
+}
+
+src_compile() {
+       cd engine || die
+       ${CONFIG_SHELL:-${BASH}} ./build.sh cxx --cxx="$(tc-getCXX)" 
--cxxflags="${CXXFLAGS}" -d+2 --without-python || die "building bjam failed"
+}
+
+src_test() {
+       # Forget tests, bjam is a lost cause
+       :
+}
+
+src_install() {
+       dobin engine/{bjam,b2}
+
+       insinto /usr/share/boost-build/src
+       doins -r "${FILESDIR}/site-config.jam" \
+               ../boost-build.jam bootstrap.jam build-system.jam 
../example/user-config.jam *.py \
+               build kernel options tools util
+
+       find "${ED}"/usr/share/boost-build/src -iname '*.py' -delete || die
+
+       dodoc 
../notes/{changes,release_procedure,build_dir_option,relative_source_paths}.txt
+
+       if use examples; then
+               docinto examples
+               dodoc -r ../example/.
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

diff --git 
a/dev-util/boost-build/files/boost-build-1.77.0-darwin-gentoo-toolchain.patch 
b/dev-util/boost-build/files/boost-build-1.77.0-darwin-gentoo-toolchain.patch
new file mode 100644
index 00000000000..2690e5fe5d9
--- /dev/null
+++ 
b/dev-util/boost-build/files/boost-build-1.77.0-darwin-gentoo-toolchain.patch
@@ -0,0 +1,26 @@
+Avoid adding all kinds of things to the toolchain's flags that within
+Gentoo (Prefix) we really shouldn't, such as sysroot, deployment target,
+arch, etc.
+
+--- a/tools/darwin.jam
++++ b/tools/darwin.jam
+@@ -240,6 +240,9 @@
+         }
+     }
+ 
++    # leave compiler flags etc. up to the toolchain
++    return $(version-feature) ;
++
+     if $(version-feature)
+     {
+         if $(.debug-configuration)
+@@ -448,7 +451,8 @@
+             support-ppc64 = ;
+         }
+     }
+-    switch $(arch)
++    # Gentoo Prefix toolchain doesn't do multi-arch, so don't try either
++    switch $(donotaddarchpleaseXXXarch)
+     {
+         case combined :
+         {

Reply via email to